pa_win_waveformat.h File Reference
Public API definitions for users of PortAudio

Windows specific PortAudio API extension and utilities header file. More...

Go to the source code of this file.

## Data Structures

struct | PaWinWaveFormat

## Macros

#define | PAWIN_SPEAKER_FRONT_LEFT ((PaWinWaveFormatChannelMask)0x1)
#define | PAWIN_SPEAKER_FRONT_RIGHT ((PaWinWaveFormatChannelMask)0x2)
#define | PAWIN_SPEAKER_FRONT_CENTER ((PaWinWaveFormatChannelMask)0x4)
#define | PAWIN_SPEAKER_LOW_FREQUENCY ((PaWinWaveFormatChannelMask)0x8)
#define | PAWIN_SPEAKER_BACK_LEFT ((PaWinWaveFormatChannelMask)0x10)
#define | PAWIN_SPEAKER_BACK_RIGHT ((PaWinWaveFormatChannelMask)0x20)
#define | PAWIN_SPEAKER_FRONT_LEFT_OF_CENTER ((PaWinWaveFormatChannelMask)0x40)
#define | PAWIN_SPEAKER_FRONT_RIGHT_OF_CENTER ((PaWinWaveFormatChannelMask)0x80)
#define | PAWIN_SPEAKER_BACK_CENTER ((PaWinWaveFormatChannelMask)0x100)
#define | PAWIN_SPEAKER_SIDE_LEFT ((PaWinWaveFormatChannelMask)0x200)
#define | PAWIN_SPEAKER_SIDE_RIGHT ((PaWinWaveFormatChannelMask)0x400)
#define | PAWIN_SPEAKER_TOP_CENTER ((PaWinWaveFormatChannelMask)0x800)
#define | PAWIN_SPEAKER_TOP_FRONT_LEFT ((PaWinWaveFormatChannelMask)0x1000)
#define | PAWIN_SPEAKER_TOP_FRONT_CENTER ((PaWinWaveFormatChannelMask)0x2000)
#define | PAWIN_SPEAKER_TOP_FRONT_RIGHT ((PaWinWaveFormatChannelMask)0x4000)
#define | PAWIN_SPEAKER_TOP_BACK_LEFT ((PaWinWaveFormatChannelMask)0x8000)
#define | PAWIN_SPEAKER_TOP_BACK_CENTER ((PaWinWaveFormatChannelMask)0x10000)
#define | PAWIN_SPEAKER_TOP_BACK_RIGHT ((PaWinWaveFormatChannelMask)0x20000)
#define | PAWIN_SPEAKER_RESERVED ((PaWinWaveFormatChannelMask)0x7FFC0000)
#define | PAWIN_SPEAKER_ALL ((PaWinWaveFormatChannelMask)0x80000000)
#define | PAWIN_SPEAKER_DIRECTOUT 0
#define | PAWIN_SPEAKER_MONO (PAWIN_SPEAKER_FRONT_CENTER)
#define | PAWIN_SPEAKER_STEREO (PAWIN_SPEAKER_FRONT_LEFT | PAWIN_SPEAKER_FRONT_RIGHT)
#define | PAWIN_SPEAKER_QUAD
#define | PAWIN_SPEAKER_SURROUND
#define | PAWIN_SPEAKER_5POINT1
#define | PAWIN_SPEAKER_7POINT1
#define | PAWIN_SPEAKER_5POINT1_SURROUND
#define | PAWIN_SPEAKER_7POINT1_SURROUND
#define | PAWIN_SPEAKER_5POINT1_BACK PAWIN_SPEAKER_5POINT1
#define | PAWIN_SPEAKER_7POINT1_WIDE PAWIN_SPEAKER_7POINT1
#define | PAWIN_SPEAKER_GROUND_FRONT_LEFT PAWIN_SPEAKER_FRONT_LEFT
#define | PAWIN_SPEAKER_GROUND_FRONT_CENTER PAWIN_SPEAKER_FRONT_CENTER
#define | PAWIN_SPEAKER_GROUND_FRONT_RIGHT PAWIN_SPEAKER_FRONT_RIGHT
#define | PAWIN_SPEAKER_GROUND_REAR_LEFT PAWIN_SPEAKER_BACK_LEFT
#define | PAWIN_SPEAKER_GROUND_REAR_RIGHT PAWIN_SPEAKER_BACK_RIGHT
#define | PAWIN_SPEAKER_TOP_MIDDLE PAWIN_SPEAKER_TOP_CENTER
#define | PAWIN_SPEAKER_SUPER_WOOFER PAWIN_SPEAKER_LOW_FREQUENCY
#define | PAWIN_SIZEOF_WAVEFORMATEX 18
#define | PAWIN_SIZEOF_WAVEFORMATEXTENSIBLE (PAWIN_SIZEOF_WAVEFORMATEX + 22)
#define | PAWIN_INDEXOF_WVALIDBITSPERSAMPLE (PAWIN_SIZEOF_WAVEFORMATEX+0)
#define | PAWIN_INDEXOF_DWCHANNELMASK (PAWIN_SIZEOF_WAVEFORMATEX+2)
#define | PAWIN_INDEXOF_SUBFORMAT (PAWIN_SIZEOF_WAVEFORMATEX+6)
#define | PAWIN_WAVE_FORMAT_PCM (1)
#define | PAWIN_WAVE_FORMAT_IEEE_FLOAT (3)
#define | PAWIN_WAVE_FORMAT_DOLBY_AC3_SPDIF (0x0092)
#define | PAWIN_WAVE_FORMAT_WMA_SPDIF (0x0164)

## Typedefs

typedef unsigned long | PaWinWaveFormatChannelMask

## Functions

int | PaWin_SampleFormatToLinearWaveFormatTag (PaSampleFormat sampleFormat)
void | PaWin_InitializeWaveFormatEx (PaWinWaveFormat *waveFormat, int numChannels, PaSampleFormat sampleFormat, int waveFormatTag, double sampleRate)
void | PaWin_InitializeWaveFormatExtensible (PaWinWaveFormat *waveFormat, int numChannels, PaSampleFormat sampleFormat, int waveFormatTag, double sampleRate, PaWinWaveFormatChannelMask channelMask)
PaWinWaveFormatChannelMask | PaWin_DefaultChannelMask (int numChannels)

## Detailed Description

Windows specific PortAudio API extension and utilities header file.

Definition in file pa_win_waveformat.h.

## Macro Definition Documentation

## PAWIN_SPEAKER_5POINT1

#define PAWIN_SPEAKER_5POINT1

Value:
(PAWIN_SPEAKER_FRONT_LEFT | PAWIN_SPEAKER_FRONT_RIGHT | \
PAWIN_SPEAKER_FRONT_CENTER | PAWIN_SPEAKER_LOW_FREQUENCY | \
PAWIN_SPEAKER_BACK_LEFT | PAWIN_SPEAKER_BACK_RIGHT)

Definition at line 94 of file pa_win_waveformat.h.

## PAWIN_SPEAKER_5POINT1_SURROUND

#define PAWIN_SPEAKER_5POINT1_SURROUND

Value:
(PAWIN_SPEAKER_FRONT_LEFT | PAWIN_SPEAKER_FRONT_RIGHT | \
PAWIN_SPEAKER_FRONT_CENTER | PAWIN_SPEAKER_LOW_FREQUENCY | \
PAWIN_SPEAKER_SIDE_LEFT | PAWIN_SPEAKER_SIDE_RIGHT)

Definition at line 101 of file pa_win_waveformat.h.

## PAWIN_SPEAKER_7POINT1

#define PAWIN_SPEAKER_7POINT1

Value:
(PAWIN_SPEAKER_FRONT_LEFT | PAWIN_SPEAKER_FRONT_RIGHT | \
PAWIN_SPEAKER_FRONT_CENTER | PAWIN_SPEAKER_LOW_FREQUENCY | \
PAWIN_SPEAKER_BACK_LEFT | PAWIN_SPEAKER_BACK_RIGHT | \
PAWIN_SPEAKER_FRONT_LEFT_OF_CENTER | PAWIN_SPEAKER_FRONT_RIGHT_OF_CENTER)

Definition at line 97 of file pa_win_waveformat.h.

## PAWIN_SPEAKER_7POINT1_SURROUND

#define PAWIN_SPEAKER_7POINT1_SURROUND

Value:
(PAWIN_SPEAKER_FRONT_LEFT | PAWIN_SPEAKER_FRONT_RIGHT | \
PAWIN_SPEAKER_FRONT_CENTER | PAWIN_SPEAKER_LOW_FREQUENCY | \
PAWIN_SPEAKER_BACK_LEFT | PAWIN_SPEAKER_BACK_RIGHT | \
PAWIN_SPEAKER_SIDE_LEFT | PAWIN_SPEAKER_SIDE_RIGHT)

Definition at line 104 of file pa_win_waveformat.h.

## PAWIN_SPEAKER_QUAD

#define PAWIN_SPEAKER_QUAD

Value:
(PAWIN_SPEAKER_FRONT_LEFT | PAWIN_SPEAKER_FRONT_RIGHT | \
PAWIN_SPEAKER_BACK_LEFT | PAWIN_SPEAKER_BACK_RIGHT)

Definition at line 90 of file pa_win_waveformat.h.

## PAWIN_SPEAKER_SURROUND

#define PAWIN_SPEAKER_SURROUND

Value:
(PAWIN_SPEAKER_FRONT_LEFT | PAWIN_SPEAKER_FRONT_RIGHT | \
PAWIN_SPEAKER_FRONT_CENTER | PAWIN_SPEAKER_BACK_CENTER)

Definition at line 92 of file pa_win_waveformat.h.